- Qt 5.15
- Qt Widgets
- C++ Classes
- QTableView
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QTableView

The following members of class QTableView are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Slots

`(obsolete)` void | sortByColumn(int column)

## Member Function Documentation

### `[slot]` void QTableView::sortByColumn(int column)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

This function is deprecated. Use sortByColumn(int column, Qt::SortOrder order) instead. Sorts the model by the values in the given column.